#pragma once
#include "Entity.h"
#include "MenuTextJoystick.h"
#define MENUTEXTMENU_PLAYER1JOYSTICK_CREATENAME L"menutext_player1joystick_menu"
class MenuTextMenu_Player1Joystick :
    public MenuTextJoystick
{
public:
    InputSetting_Joystick* GetInputSetting() override;
    SDL_GameControllerButtonBind* GetBind(InputSetting_Joystick* setting) override;
    std::weak_ptr<Entity> GetPlayer(void* entityRes) override;
};

std::shared_ptr<Entity> CreateMenuTextMenu_Player1Joystick();